## org.hibernate.internal
Class SessionFactoryRegistry.ObjectFactoryImpl

    java.lang.Object
      org.hibernate.internal.SessionFactoryRegistry.ObjectFactoryImpl

All Implemented Interfaces:
  ObjectFactory

Enclosing class:
  SessionFactoryRegistry

    public static class SessionFactoryRegistry.ObjectFactoryImpl

extends Object
implements ObjectFactory

Constructor Summary
`SessionFactoryRegistry.ObjectFactoryImpl()`

Method Summary
`Object` `getObjectInstance(Object reference, Name name, Context nameCtx, Hashtable<?,?> environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionFactoryRegistry.ObjectFactoryImpl

    public SessionFactoryRegistry.ObjectFactoryImpl()

Method Detail

### getObjectInstance

    public Object getObjectInstance(Object reference,
                                    Name name,
                                    Context nameCtx,
                                    Hashtable<?,?> environment)
                             throws Exception

  Specified by:
    `getObjectInstance` in interface `ObjectFactory`
  Throws:
    `Exception`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.